Subject: Re: [Isis-wg] Review of: draft-ietf-isis-wg-mib-18.txt

From: [email-masked]
Date: Sat, 12 Mar 2005 12:32:12 -0800 (PST)

Hi,

I agree to whatever you are saying, but the variable I
am talking about is an Index in one table and there is
only one Index for the table. Please see below for the
table.

I think that if we have a OCTET STRING as a only INDEX
then the minimun STRING length should be 2 (If IMPLIED
keyword is not used).
First OCTET to represent the length and second is the
value, as you mentioned.

Then if I think again it seems that in this table
there is only one OCTET STRING Index and that too
read-only so we should add IMPLIED keyword.

Please correct me if this does not make sense.

The table ...
    isisAreaAddrTable OBJECT-TYPE
        SYNTAX SEQUENCE OF IsisAreaAddrEntry
        MAX-ACCESS not-accessible
        STATUS current
        DESCRIPTION
            "The union of the sets of area addresses
reported in all
             Level 1 LSPs with fragment number zero
generated by this
             Intermediate System, or received from
other Intermediate
             Systems which are reachable via Level 1
routing."
        REFERENCE "{ISIS.aoi areaAddresses (18)}"
    ::= { isisSystem 3 }

    IsisAreaAddrEntry ::=
        SEQUENCE {
            isisAreaAddr
                IsisOSINSAddress
            }

    isisAreaAddr OBJECT-TYPE
        SYNTAX IsisOSINSAddress
        MAX-ACCESS read-only
        STATUS current
        DESCRIPTION
            "An area address reported in a Level 1
LSP."

Regards,
Amit

--- "C. M. Heard" <[email-masked]> wrote:
> On Fri, 11 Mar 2005 [email-masked] wrote:
> > Here are my observations about the ISIS-draft-18
> MIB.
> > 
> > 1)	I noticed that two table has index defined as
> OCTET
> > STRING of SIZE (0..20).
> ... 
> > A table with index of zero does not look correct
> to me.
> 
> Actually, there is nothing wrong with this.  These
> are variable
> length strings without the IMPLIED keyword, so the
> length will be
> included as a sub-identifier in the instance
> identification part of
> a column's OID.
> 
> //cmh
> 
> 
> 
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/isis-wg
> 

__________________________________ 
Do you Yahoo!? 
Yahoo! Small Business - Try our new resources site!
http://smallbusiness.yahoo.com/resources/ 

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: "C. M. Heard" <[email-masked]>
Date: Sun, 13 Mar 2005 10:36:46 -0800 (PST)

> only one Index for the table. Please see below for the

[ the table in question is isisAreaAddrTable, whose only   ]
[ index is the object isisAreaAddr.  That object is also   ]
[ the only column in the table and to its MAX-ACCESS is    ]
[ read-only.  Its type is IsisOSINSAddress, which resolves ]
[ to OCTET STRING (SIZE(0..20)).                           ]

> First OCTET to represent the length and second is the

Why do you think that?  It is not a requirement of the
SMI, as far as I can tell from reading RFC 2578, and
there is no reason why a zero-length instance of
isisAreaAddr could not be successfully retrieved with
an SNMP get request.

Whether there is any real-world situation where the it
makes sense for the object isisAreaAddr to have zero
length is a separate question.

> read-only so we should add IMPLIED keyword.

IMPLIED is generally NOT RECOMMENDED anymore ... see 
draft-ietf-ops-mib-review-guidelines-04.txt section 4.6.4.

Mike Heard